import { Component, h } from '@stencil/core';
export class MpCard {
  render() {
    return (h("div", { class: "bg-white shadow overflow-hidden sm:rounded-lg" },
      h("div", { class: "px-4 py-5 sm:px-6" },
        h("h3", { class: "text-lg leading-6 font-medium text-gray-900" }, "Applicant Information"),
        h("p", { class: "mt-1 max-w-2xl text-sm text-gray-500" }, "Personal details and application.")),
      h("div", { class: "border-t border-gray-200" },
        h("dl", null,
          h("div", { class: "bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "Full name"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" }, "Margot Foster")),
          h("div", { class: "bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "Application for"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" }, "Backend Developer")),
          h("div", { class: "bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "Email address"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" }, "margotfoster@example.com")),
          h("div", { class: "bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "Salary expectation"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" }, "$120,000")),
          h("div", { class: "bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "About"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" }, "Fugiat ipsum ipsum deserunt culpa aute sint do nostrud anim incididunt cillum culpa consequat. Excepteur qui ipsum aliquip consequat sint. Sit id mollit nulla mollit nostrud in ea officia proident. Irure nostrud pariatur mollit ad adipisicing reprehenderit deserunt qui eu.")),
          h("div", { class: "bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" },
            h("dt", { class: "text-sm font-medium text-gray-500" }, "Attachments"),
            h("dd", { class: "mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2" },
              h("ul", { role: "list", class: "border border-gray-200 rounded-md divide-y divide-gray-200" },
                h("li", { class: "pl-3 pr-4 py-3 flex items-center justify-between text-sm" },
                  h("div", { class: "w-0 flex-1 flex items-center" },
                    h("svg", { class: "flex-shrink-0 h-5 w-5 text-gray-400", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20", fill: "currentColor", "aria-hidden": "true" },
                      h("path", { "fill-rule": "evenodd", d: "M8 4a3 3 0 00-3 3v4a5 5 0 0010 0V7a1 1 0 112 0v4a7 7 0 11-14 0V7a5 5 0 0110 0v4a3 3 0 11-6 0V7a1 1 0 012 0v4a1 1 0 102 0V7a3 3 0 00-3-3z", "clip-rule": "evenodd" })),
                    h("span", { class: "ml-2 flex-1 w-0 truncate" }, "resume_back_end_developer.pdf")),
                  h("div", { class: "ml-4 flex-shrink-0" },
                    h("a", { href: "#", class: "font-medium text-indigo-600 hover:text-indigo-500" }, "Download"))),
                h("li", { class: "pl-3 pr-4 py-3 flex items-center justify-between text-sm" },
                  h("div", { class: "w-0 flex-1 flex items-center" },
                    h("svg", { class: "flex-shrink-0 h-5 w-5 text-gray-400", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20", fill: "currentColor", "aria-hidden": "true" },
                      h("path", { "fill-rule": "evenodd", d: "M8 4a3 3 0 00-3 3v4a5 5 0 0010 0V7a1 1 0 112 0v4a7 7 0 11-14 0V7a5 5 0 0110 0v4a3 3 0 11-6 0V7a1 1 0 012 0v4a1 1 0 102 0V7a3 3 0 00-3-3z", "clip-rule": "evenodd" })),
                    h("span", { class: "ml-2 flex-1 w-0 truncate" }, "coverletter_back_end_developer.pdf")),
                  h("div", { class: "ml-4 flex-shrink-0" },
                    h("a", { href: "#", class: "font-medium text-indigo-600 hover:text-indigo-500" }, "Download"))))))))));
  }
  static get is() { return "mp-card"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["mp-card.css"]
  }; }
  static get styleUrls() { return {
    "$": ["mp-card.css"]
  }; }
}
